DOCKER_COMP = sudo docker-compose

help:
	echo Help is not yet implemented...

nodered:
	if [ ! -d nodered ]; then tar -xvzf nodered.tgz; fi
mqtt:
	if [ ! -d mqtt ]; then tar -xvzf mqtt.tgz; fi
build: mqtt nodered
	$(DOCKER_COMP) build

up: mqtt nodered  ## Starts the docker hub
	$(DOCKER_COMP) up

up_%: mqtt nodered  ## Start a single service
	$(DOCKER_COMP) up $(subst up_,,$@)

down: ## Stops the docker hub
	$(DOCKER_COMP) down --remove-orphans

restart: ## Restarts the docker hub
	$(DOCKER_COMP) restart

status: ## Prompt Containers
	$(DOCKER_COMP) ps

sh_%: ## Connects to the application container
	$(DOCKER_COMP) exec $(subst sh_,,$@) sh

bash_%: ## Connects to the application container
	$(DOCKER_COMP) exec $(subst bash_,,$@) bash

logs: ## Displays the logs of the application container
	$(DOCKER_COMP) logs -f

logs_%: ## Displays the logs of the application container
	$(DOCKER_COMP) logs -f $(subst logs_,,$@)

cleanall:
	rm -rf mqtt nodered
	sudo docker system prune -a
